Subject: CRITICAL: libtool makes static linking impossible

From: [email-masked]
Date: Thu, 22 Mar 2012 00:49:30 -0400

Recent versions of libtool (since at least 2.2.6) hijack the -static
flag to the compiler and use it to link only project-local libraries
static (i.e. still generating a dynamic-linked binary). Supposedly the
-all-static option is provided to override this behavior, but it is
not usable in any real-world programs because adding -all-static to
CFLAGS or LDFLAGS prevents all configure tests that invoke the
compiler/linker without libtool from working due to the unrecognized
option.

As far as I can tell, there is no workaround and abolutely no way to
static-link libtool-based projects without patching libtool.